Bug 80924 - FILEOPEN: General Error while opening RTF file
Summary: FILEOPEN: General Error while opening RTF file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: BSA target:4.4.0 target:4.3.1
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2014-07-04 19:09 UTC by facun
Modified: 2015-12-17 12:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Error al abrir el documento (LibreOffice 4.3.0.1 Error general de entrada/salida) (657.59 KB, application/rtf)
2014-07-04 19:09 UTC, facun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description facun 2014-07-04 19:09:25 UTC
Created attachment 102283 [details]
Error al abrir el documento (LibreOffice 4.3.0.1 Error general de entrada/salida)

Problem description: 

Steps to reproduce:
1. abro el documento word
2. Aparece la siguiente ventana: Error general de entrada/salida
3. ....

Current behavior: 

Expected behavior:

              
Operating System: Windows XP
Version: 4.3.0.2 rc
Comment 1 Adolfo Jayme 2014-07-07 09:30:37 UTC
Translating from Spanish before someone cries, although I think it’s obvious enough:

> 1. I opened the Word document
> 2. A window appears with the message: “General I/O error”

----

I downloaded the attached document and can confirm the issue under Ubuntu 14.04 and LibreOffice 4.3.0.2 downloaded from the website.
Comment 2 Maxim Monastirsky 2014-07-07 10:03:46 UTC
Actually it's a RTF file, not a Word document (the extension .doc is wrong).

(In reply to comment #1)
> can confirm the issue under Ubuntu
> 14.04 and LibreOffice 4.3.0.2 downloaded from the website.
Same here. However it opens fine with 4.2.5.2 on the same system, so it's a regression.
Comment 3 Urmas 2014-07-12 11:42:11 UTC
Opens without error in July 11 Win32 version.
Comment 4 Michael Stahl (CIB) 2014-07-16 09:21:11 UTC
regression from:

commit 83de5fe9c3161b9bfe655306253fc760fc64e8f3
Author:     Michael Stahl <mstahl@redhat.com>
AuthorDate: Fri Jun 13 14:47:05 2014 +0200

    fdo#76633: writerfilter: RTF import: do not leak the XShape of image
    

fixed on master
Comment 5 Commit Notification 2014-07-16 09:21:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=083b2b1471fff9e75f4b27a8769f95b8a0ebf5a1

fdo#80924: writerfilter: RTF import: fix shapeType PictureFrame import



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-07-16 20:50:12 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88cf46be3d1ad709cf822e209d0911d6a71f3222&h=libreoffice-4-3

fdo#80924: writerfilter: RTF import: fix shapeType PictureFrame import


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 12:38:34 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]